Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class ConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.apache.axis.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WSDDException

public class ConfigurationException
extends java.io.IOException

ConfigurationException is thrown when an error occurs trying to use an EngineConfiguration.

Author:
  Glyn Normington (glyn@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static boolean` | `copyStackByDefault` Copy the orginal execption by default
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ConfigurationException(java.lang.Exception e)` Construct a ConfigurationException from an Exception.
`ConfigurationException(java.lang.Exception e, boolean copyStack)` Construct a ConfigurationException from an Exception.
`ConfigurationException(java.lang.String message)` Construct a ConfigurationException from a String.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyStackByDefault

    protected static boolean copyStackByDefault

  Copy the orginal execption by default

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String message)

  Construct a ConfigurationException from a String. The string is wrapped in an exception, enabling a stack traceback to be obtained.
  Parameters:
    `message` - String form of the error

### ConfigurationException

    public ConfigurationException(java.lang.Exception e)

  Construct a ConfigurationException from an Exception.
  Parameters:
    `exception` - original exception which was unexpected

### ConfigurationException

    public ConfigurationException(java.lang.Exception e,
                                  boolean copyStack)

  Construct a ConfigurationException from an Exception.
  Parameters:
    `exception` - original exception which was unexpected
    `copyStack` - set to true to copy the orginal exception's stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.